osgManipulator::PointerInfo Class Reference

`#include <Dragger>`

## Public Types

typedef std::pair< osg::NodePath, osg::Vec3d > | NodePathIntersectionPair
typedef std::list< NodePathIntersectionPair > | IntersectionList

## Public Member Functions

| PointerInfo ()
| PointerInfo (const PointerInfo &rhs)
void | reset ()
bool | completed () const
void | next ()
osg::Vec3d | getLocalIntersectPoint () const
void | setNearFarPoints (osg::Vec3d nearPoint, osg::Vec3d farPoint)
const osg::Vec3d & | getEyeDir () const
void | getNearFarPoints (osg::Vec3d &nearPoint, osg::Vec3d &farPoint) const
bool | contains (const osg::Node *node) const
void | setCamera (osg::Camera *camera)
void | addIntersection (const osg::NodePath &nodePath, const osg::Vec3d &intersectionPoint)
void | setMousePosition (float pixel_x, float pixel_y)

## Public Attributes

IntersectionList | _hitList
IntersectionList::const_iterator | _hitIter

## Protected Member Functions

bool | projectWindowXYIntoObject (const osg::Vec2d &windowCoord, osg::Vec3d &nearPoint, osg::Vec3d &farPoint) const

## Protected Attributes

osg::Vec3d | _nearPoint
osg::Vec3d | _farPoint
osg::Vec3d | _eyeDir
osg::Matrix | _MVPW
osg::Matrix | _inverseMVPW

## Member Typedef Documentation

## IntersectionList

typedef std::list< NodePathIntersectionPair> osgManipulator::PointerInfo::IntersectionList

## NodePathIntersectionPair

typedef std::pair<osg::NodePath, osg::Vec3d> osgManipulator::PointerInfo::NodePathIntersectionPair

## Constructor & Destructor Documentation

## PointerInfo() [1/2]

osgManipulator::PointerInfo::PointerInfo | ( |  | ) |

Referenced by PointerInfo().

## PointerInfo() [2/2]

osgManipulator::PointerInfo::PointerInfo | ( | const PointerInfo & | rhs | ) |

inline

References _eyeDir, _farPoint, _hitIter, _hitList, _nearPoint, and PointerInfo().

## Member Function Documentation

## addIntersection()

void osgManipulator::PointerInfo::addIntersection | ( | const osg::NodePath & | nodePath,
|  | const osg::Vec3d & | intersectionPoint )

inline

References _hitIter, and _hitList.

## completed()

bool osgManipulator::PointerInfo::completed | ( |  | ) | const

inline

References _hitIter, and _hitList.

Referenced by next().

## contains()

bool osgManipulator::PointerInfo::contains | ( | const osg::Node * | node | ) | const

## getEyeDir()

const osg::Vec3d & osgManipulator::PointerInfo::getEyeDir | ( |  | ) | const

inline

References _eyeDir.

## getLocalIntersectPoint()

osg::Vec3d osgManipulator::PointerInfo::getLocalIntersectPoint | ( |  | ) | const

inline

References _hitIter.

## getNearFarPoints()

void osgManipulator::PointerInfo::getNearFarPoints | ( | osg::Vec3d & | nearPoint,
|  | osg::Vec3d & | farPoint ) const

inline

References _farPoint, and _nearPoint.

## next()

void osgManipulator::PointerInfo::next | ( |  | ) |

inline

References _hitIter, and completed().

## projectWindowXYIntoObject()

bool osgManipulator::PointerInfo::projectWindowXYIntoObject | ( | const osg::Vec2d & | windowCoord,
|  | osg::Vec3d & | nearPoint,
|  | osg::Vec3d & | farPoint ) const

protected

Referenced by setMousePosition().

## reset()

void osgManipulator::PointerInfo::reset | ( |  | ) |

inline

References _hitIter, _hitList, and setCamera().

## setCamera()

void osgManipulator::PointerInfo::setCamera | ( | osg::Camera * | camera | ) |

inline

References _eyeDir, _inverseMVPW, _MVPW, osg::Viewport::computeWindowMatrix(), osg::Matrixd::getLookAt(), osg::Camera::getProjectionMatrix(), osg::Camera::getViewMatrix(), and osg::Camera::getViewport().

Referenced by reset().

## setMousePosition()

void osgManipulator::PointerInfo::setMousePosition | ( | float | pixel_x,
|  | float | pixel_y )

inline

References _farPoint, _nearPoint, and projectWindowXYIntoObject().

## setNearFarPoints()

void osgManipulator::PointerInfo::setNearFarPoints | ( | osg::Vec3d | nearPoint,
|  | osg::Vec3d | farPoint )

inline

References _eyeDir, _farPoint, and _nearPoint.

## Member Data Documentation

## _eyeDir

osg::Vec3d osgManipulator::PointerInfo::_eyeDir

protected

Referenced by getEyeDir(), PointerInfo(), setCamera(), and setNearFarPoints().

## _farPoint

osg::Vec3d osgManipulator::PointerInfo::_farPoint

protected

Referenced by getNearFarPoints(), PointerInfo(), setMousePosition(), and setNearFarPoints().

## _hitIter

IntersectionList::const_iterator osgManipulator::PointerInfo::_hitIter

Referenced by addIntersection(), completed(), getLocalIntersectPoint(), next(), PointerInfo(), and reset().

## _hitList

IntersectionList osgManipulator::PointerInfo::_hitList

Referenced by addIntersection(), completed(), PointerInfo(), and reset().

## _inverseMVPW

osg::Matrix osgManipulator::PointerInfo::_inverseMVPW

protected

Referenced by setCamera().

## _MVPW

osg::Matrix osgManipulator::PointerInfo::_MVPW

protected

Referenced by setCamera().

## _nearPoint

osg::Vec3d osgManipulator::PointerInfo::_nearPoint

protected

Referenced by getNearFarPoints(), PointerInfo(), setMousePosition(), and setNearFarPoints().

The documentation for this class was generated from the following file:

- Dragger